1. NBAndroid
  2. Untitled project
  3. nbandroid
  4. Issues
Issue #63 resolved

NBAndroid will not install in NetBeans 8.1 Beta

Joe Bowbeer
created an issue

Trying to install NBAndroid plugins in NetBeans 8.1 Beta results in following error dialog:

Some plugins require plugin Common Test Runner API to be installed. The plugin Common Test Runner API is requested in version >= 1.19.1 (release version 1) but only 2.4.1 (of release version different from 1) was found. The following plugins are affected:

Android    Android Gradle Support

See attached screenshot

Comments (12)

  1. Radim Kubacki

    This is a change in NetBeans implementation that forces me to create a fork of this module and publish it separately with a different dependency. I am assuming that the API that is accessed from nbandroid is not broken.

    It can take a while before a I find time to do this.

  2. Jakub Herkel

    I needed to fix some source code files, I added some dependencies and also fixed location for the gradle plugin. I installed the gradle plugin via shared directory and added "Extra" cluster to main project. But I'm not sure if it was a correct way how to do it because I'm not familiar with ant build. So probably you will need to fix some things.

  3. Werner Harnisch

    Same error dialog here. I am a big fan of nbandroid, for me it is much better to develop for Android than Android Studio. Anyone working on this problem? Do I have to worry about the future of nbandroid?

  4. Log in to comment